Subject: [PATCH v7 12/17] ARM64: ACPI: Check if it runs on Xen to enable or disable ACPI

From: [email-masked] (Shannon Zhao)
Date: Fri, 1 Apr 2016 17:32:39 +0800

On 2016/4/1 17:25, Shannon Zhao wrote:
> If it really needs is_xen_node(), I will not factor
> fdt_find_hyper_node() in patch 11 since it uses flat DT while here it's
> going to use unflatten DT.
Sorry, I'm wrong. They both use flat DT. But it's no need to factor
fdt_find_hyper_node() since is_xen_node is very simple like below I think.

of_flat_dt_is_compatible(node, "xen,xen");

And maybe it cloud directly use above check in dt_scan_depth1_nodes.

Thanks,
-- 
Shannon